php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #10542 Unknow Error on ./configure
Submitted: 2001-04-28 19:16 UTC Modified: 2001-04-29 22:17 UTC
From: zonzon at zonzon dot yi dot org Assigned:
Status: Closed Package: Installation problem
PHP Version: 4.0.4pl1 OS: FreeBSD 4.2-RELEASE
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem:
28 + 44 = ?
Subscribe to this entry?

 
 [2001-04-28 19:16 UTC] zonzon at zonzon dot yi dot org
I've successfully compiled without errors and installed php with mysql, ftp, trackvars and imap support.. when I for PHP 4: ./configure --activate-module=src/modules/php4/libphp4.a, it doesn't seems to work and this error is given to me... Normally, without --activate module... all is working.... Why?

[root@cosmosis apache_1.3.19]# ./configure --activate-module=src/modules/php4/libphp4.a
Configuring for Apache, Version 1.3.19
 + using installation path layout: Apache (config.layout)
 + activated php4 module (modules/php4/libphp4.a)
Creating Makefile
Creating Configuration.apaci in src
Creating Makefile in src
 + configured for FreeBSD 4.2 platform
 + setting C compiler to gcc
 + setting C pre-processor to gcc -E
 + checking for system header files
 + adding selected modules
    o php4_module uses ConfigStart/End
 + checking sizeof various data types
 + doing sanity check on compiler and options
** A test compilation with your Makefile configuration
** failed.  The below error output from the compilation
** test will give you an idea what is failing. Note that
** Apache requires an ANSI C Compiler, such as gcc.

cd ..; gcc  -funsigned-char -I/root/php-4.0.4pl1 -I/root/php-4.0.4pl1/main -I/root/php-4.0.4pl1/main -I/root/php-4.0.4pl1/Zend 
-I/root/php-4.0.4pl1/Zend -I/root/php-4.0.4pl1/TSRM -I/root/php-4.0.4pl1/TSRM -I/root/php-4.0.4pl1 -DUSE_EXPAT -I./lib/expat-lite 
-DNO_DL_NEEDED `./apaci`
  -o helpers/dummy helpers/dummy.c   -R/usr/local/lib -R/usr/local/mysql/lib  -rdynamic -L/usr/local/lib -L/usr/local/mysql/lib 
-Lmodules/php4 -L../modules/php4 -L../../modules/php4 -lmodphp4  -lpam -lc-client4  -lmysqlclient -lm -lcrypt    -lcrypt
/usr/local/lib/libc-client4.so: undefined reference to `mm_expunged'
/usr/local/lib/libc-client4.so: undefined reference to `mm_diskerror'
/usr/local/lib/libc-client4.so: undefined reference to `mm_lsub'
/usr/local/lib/libc-client4.so: undefined reference to `mm_flags'
/usr/local/lib/libc-client4.so: undefined reference to `mm_fatal'
/usr/local/lib/libc-client4.so: undefined reference to `mm_nocritical'
/usr/local/lib/libc-client4.so: undefined reference to `mm_notify'
/usr/local/lib/libc-client4.so: undefined reference to `mm_searched'
/usr/local/lib/libc-client4.so: undefined reference to `mm_status'
/usr/local/lib/libc-client4.so: undefined reference to `mm_login'
/usr/local/lib/libc-client4.so: undefined reference to `mm_list'
/usr/local/lib/libc-client4.so: undefined reference to `mm_critical'
/usr/local/lib/libc-client4.so: undefined reference to `mm_exists'
/usr/local/lib/libc-client4.so: undefined reference to `mm_log'
/usr/local/lib/libc-client4.so: undefined reference to `mm_dlog'
*** Error code 1

Stop in /root/apache_1.3.19/src/helpers.
======== Error Output for sanity check ========
============= End of Error Report =============

 Aborting!

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-04-29 22:17 UTC] sniper@php.net
You c-client libraries are broken. Please check this
manual page for information how to install them correctly:

http://www.php.net/manual/en/ref.imap.php

--Jani

 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Fri Jul 19 10:01:29 2024 UTC